Innhold
Innholdsliste 🔎︎

# GoSub...Retur Uttrykk

Kaller opp en underrutine som er indikert med en etikett inne i en Sub eller en Funksjon. Utsagnene etter etiketten utføres til neste Retur-uttrykk. Etterpå fortsetter programmet med uttrykket som følger GoSub-setningen.

### Syntaks:

    GoSub etikett[:]

### Parametre:

etikett: En linjeidentifikator som indikerer hvor kjøringen skal fortsette fra. Betydelsen av en etikett i den rutinen den tilhører.

GoSub-uttrykket kaller en lokal subrutine angitt med en etikett fra en subrutine eller en funksjon. Etikettenavnet må slutte med et kolon (":").

      Sub/Function foo
          ' uttrykk
          GoSub label
          ' uttrykk
          Exit Sub/Function
      label:
          ' uttrykk
          Return
      End Sub/Function

Hvis programmet støter på en Retur-setning som ikke er innledet med GoSub, returnerer LibreOffice Basic en feilmelding. Bruk Exit Sub eller Exit Funksjon for å sikre at programmet forlater en Sub eller Funksjon før det kommer til neste Retur-setning.

Følgende eksempel viser bruken av GoSub og Retur. Ved å utføre en programdel to ganger, beregner programmet kvadratroten av to tall som legges inn av brukeren.

### Eksempel:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iInputa = Int(InputBox("Skriv inn det første tallet: ","NumberInput"))
        iInputb = Int(InputBox("Skriv inn det andre tallet: ","NumberInput"))
        iInputc=iInputa
        GoSub SquareRoot
        Skriv ut "Kvadratroten av";iInputa;" er";iInputc
        iInputc=iInputb
        GoSub SquareRoot
        Skriv ut "Kvadratroten av";iInputb;" er";iInputc
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub

Lignende emner

GoTo Uttrykk

On...GoSub uttrykk; On...GoTo uttrykk